<?
  include("../fnc.php");
  enlinea_c();

  $del=mysql_query("delete from tmp_examen where usuario = '$uuser'");
  // SCRIPT PARA GENERAR EXÁMENES EN LÍNEA
  $cnt_arr=0;
  for($i=1;$i<=$max;$i++){
    $tmp="txtidu$i";
    $tmp2="txtcnt$i";
    $tmp3="txtmaxunidad$i";

    $id_unidad=$$tmp;
    $cnt_prg=$$tmp2;
    $max_unidad=$$tmp3;

    if($max_unidad<$cnt_prg){
      alert("El número de preguntas solicitados no es correcto","javascript:history.go(-1)");
    }

    if($cnt_prg>0){
     $cnt_arr++;
     $arr_unidad[$cnt_arr]=$id_unidad;
     $arr_cnt_prg[$cnt_arr]=$cnt_prg;
     $arr_max_prg[$cnt_arr]=$cnt_max;
    }
  }

  for($i=1;$i<=$cnt_arr;$i++){
  // ciclo para obtener las preguntas al azar por unidad

  $qcnt_prg=mysql_query("select count(*) as cant from tmp_examen
                         where usuario = '$uuser'
                         and unidad = {$arr_unidad[$i]}");
  $icnt_prg=mysql_fetch_array($qcnt_prg);

  $cont_prg=$icnt_prg[cant];

  while($cont_prg<$arr_cnt_prg[$i]){

   $qtprg=mysql_query("select * from tmp_examen where usuario = '$uuser' and unidad = {$arr_unidad[$i]}");
   $lst="(";
   while($itprg=mysql_fetch_array($qtprg)){
     $lst.="{$itprg[pregunta]},";
   }
   $lst.="0)";

   $qiprg=mysql_query("select *
                       from bp_preguntas
                       where unidad = {$arr_unidad[$i]}
                       and id not in $lst");
   $rand=rand(1,mysql_num_rows($qiprg));
   for($j=1;$j<=$rand;$j++){
     $ins_prg=mysql_fetch_array($qiprg);
   }

   $sqlins="insert into tmp_examen
            set unidad='{$arr_unidad[$i]}',
            pregunta='{$ins_prg[id]}',
            usuario='$uuser'";
   $cont_prg++;
//   echo $sqlins."<br>";
    $ins=mysql_query($sqlins);

   //*********************************
  }// fin del ciclo de validacion de cantidad de preguntas

} // fin del ciclo for de los arreglos de preguntas
//header("Location: rpt_examen.php");
include("rpt_examen.php");
?>